
var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
    onDeviceReady: function() {
        // app.receivedEvent('deviceready');
    	// $.getJSON("http://mobile-html5.rhcloud.com/rest/members", function(data) {
    	$.getJSON("http://localhost:8080/jboss-as-kitchensink-html5-mobile/rest/members", function(data) {
    	    $("#contacts").empty();
    	    var items = [];
    	    $.each(data, function(key, val) {
    	       console.log("item: " + key + " " + val.name);
    	       items.push("<li><a href='#"+ key + "'>" + val.name +"</a></li>");
    	    });
    	    $("#contacts").append(items);
    	    $("#contacts").listview("refresh");	
    	});﻿
    },
    // Update DOM on a Received Event
    receivedEvent: function(id) {
        var parentElement = document.getElementById(id);
        var listeningElement = parentElement.querySelector('.listening');
        var receivedElement = parentElement.querySelector('.received');

        listeningElement.setAttribute('style', 'display:none;');
        receivedElement.setAttribute('style', 'display:block;');

        console.log('Received Event: ' + id);
    }
};

app.initialize();
